%define debug 0

%define build_for_ftp 0

%define qt_version 3.1.2
%define kde_version 3.1.1

%define desktop_file 1
%define desktop_file_utils_version 0.2.93

%define redhatify 1

%define libtool 0

%define buildall 0

%define i18n 1

Name: koffice
Version: 1.2.1
Release: 0.8x.1
Epoch: 4
URL: http://koffice.kde.org/
Summary: A set of office applications for KDE.
Group: User Interface/Desktops
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: %{name}-i18n-%{version}.tar.bz2
Source2: koshell.png
Source2: subdirs-koffice

Patch: koffice-1.2.1-fpic.patch
Patch1: koffice-1.2.1-kword_crashes.patch
Patch2: kde-libtool.patch

Prereq: kdelibs >= 6:%{kde_version}

Obsoletes: killustrator
Obsoletes: kivio

Requires(post,postun): /sbin/ldconfig
Requires: kdelibs >= 6:%{kde_version}
Requires: kdebase >= 6:%{kde_version}

BuildRequires: kdelibs-devel >= %{kde_version}
BuildRequires: kdebase-devel >= %{kde_version}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: glibc-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libstdc++-devel
BuildRequires: qt-devel >= %{qt_version}
BuildRequires: perl

%if %{build_for_ftp}
ExclusiveArch: %{ix86}
%endif

%if %i18n
%define i18n_source -a 1
%else
%define i18n_source %{nil}
%endif

%if %{desktop_file}
BuildRequires:desktop-file-utils >= %{desktop_file_utils_version}
%endif

%package devel
Summary: Development files for KOffice
Group: Development/Libraries

%description
The koffice package contains the KOffice office-type applications for
the K Desktop Environment (KDE) GUI desktop. KOffice contains KWord, a
word processor; KSpread, a spreadsheet; KPresenter, for presentations;
and KChart, a diagram generator.

%description devel
Development files for KOffice. Install koffice-devel if you want to develop
or compile plugins for KOffice.

%prep
%setup -q %{i18n_source}
%patch -p1 -b .fpic
%patch1 -p1 -b .kword
%patch2 -p1 -b .libtool

# Workaround for legacy auto* tools
%if %{libtool}
if [ -e /usr/bin/automake-1.5 ]; then
   ln -s /usr/bin/automake-1.5 automake
   ln -s /usr/bin/aclocal-1.5 aclocal
   export PATH=`pwd`:$PATH
fi
[ -e Makefile.cvs ] && make -f Makefile.cvs
%endif

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
FLAGS="$RPM_OPT_FLAGS -fno-use-cxa-atexit -D_GNU_SOURCE -DNO_DEBUG -DNDEBUG"
export KDEDIR=%{_prefix}
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

%configure \
   --with-qt-libraries=$QTDIR/lib \
   --with-extra-libs=%{_libdir} \
   --includedir=%{_includedir}/kde \
   --disable-final

make %{?_smp_mflags}

%if %{i18n}
pushd koffice-i18n-%{version}

%if "%{buildall}" == "0"
rm -rf ar bg bs eo eu fa lt mt nso ta th ven vi xh zu
cp %{SOURCE2} subdirs
test -f Makefile.cvs && make -f Makefile.cvs
%endif

%configure
make %{?smp_mflags}
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%if %{i18n}
pushd koffice-i18n-%{version}
make DESTDIR=$RPM_BUILD_ROOT install
popd
%endif

# Replace absolute symlinks with relative ones
pushd $RPM_BUILD_ROOT%{_docdir}/HTML
for lang in *; do
  if [ -d $lang ]; then
    pushd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../common $i
      fi
    done
    popd
  fi
done
popd

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
    --vendor kde \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --delete-original \
    --add-category "Application;Office;X-Red-Hat-Extra" \
    $RPM_BUILD_ROOT%{_datadir}/applnk/Office/*.desktop

# we should remove some kde prefix by some desktop files
for i in kontour kword kspread kpresenter ; do
    mv -f $RPM_BUILD_ROOT%{_datadir}/applications/kde-$i.desktop \
          $RPM_BUILD_ROOT%{_datadir}/applications/$i.desktop
done
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
kbuildsycoca &>/dev/null || :

%postun
/sbin/ldconfig
kbuildsycoca &>/dev/null || :

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so*
%{_libdir}/*.la*
%{_libdir}/kde3/*
%if %{desktop_file}
%{_datadir}/applications/*
%else
%{_datadir}/applnk/Office/*
%endif
%{_datadir}/templates/.source/*
%{_datadir}/apps/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/templates/*
%{_datadir}/mimelnk/application/*
%doc %{_docdir}/HTML/en/*

%if %{i18n}
%lang(af) %{_datadir}/locale/af/LC_MESSAGES/*

%if "%{buildall}" == "1"
%lang(ar) %{_datadir}/locale/ar/LC_MESSAGES/*
%endif

%if "%{buildall}" == "1"
%lang(bs) %{_datadir}/locale/bs/LC_MESSAGES/*
%endif

%lang(cs) %{_datadir}/locale/cs/LC_MESSAGES/*
%lang(da) %{_datadir}/locale/da/LC_MESSAGES/*
%lang(da) %doc %{_docdir}/HTML/da/*
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/*
%lang(de) %doc %{_docdir}/HTML/de/*
%lang(en_GB) %{_datadir}/locale/en_GB/LC_MESSAGES/*
%lang(el) %{_datadir}/locale/el/LC_MESSAGES/*

%if "%{buildall}" == "1"
%lang(eo) %{_datadir}/locale/eo/LC_MESSAGES/*
%endif

%lang(et) %{_datadir}/locale/et/LC_MESSAGES/*
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/*
%lang(es) %doc %{_docdir}/HTML/es/*
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/*
%lang(fr) %doc %{_docdir}/HTML/fr/*
%lang(he) %{_datadir}/locale/he/LC_MESSAGES/*
%lang(hu) %{_datadir}/locale/hu/LC_MESSAGES/*
%lang(hu) %doc %{_docdir}/HTML/hu/*
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/*
%lang(it) %doc %{_docdir}/HTML/it/*
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/*

%if "%{buildall}" == "1"
%lang(lt) %{_datadir}/locale/lt/LC_MESSAGES/*
%lang(lv) %{_datadir}/locale/lv/LC_MESSAGES/*
%lang(mt) %{_datadir}/locale/mt/LC_MESSAGES/*
%endif

%lang(nl) %{_datadir}/locale/nl/LC_MESSAGES/*
%lang(nn) %{_datadir}/locale/nn/LC_MESSAGES/*
%lang(no) %{_datadir}/locale/nb/LC_MESSAGES/*
%lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/*
%lang(pt) %{_datadir}/locale/pt/LC_MESSAGES/*
%lang(pt) %doc %{_docdir}/HTML/pt/*
%lang(pt_BR) %doc %{_docdir}/HTML/pt_BR/*
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/*
%lang(ru) %doc %{_docdir}/HTML/ru/*
%lang(sk) %{_datadir}/locale/sk/LC_MESSAGES/*
%lang(sk) %doc %{_docdir}/HTML/sk/*
%lang(sl) %{_datadir}/locale/sl/LC_MESSAGES/*
%lang(sl) %doc %{_docdir}/HTML/sl/*
%lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/*
%lang(sv) %doc %{_docdir}/HTML/sv/*

%if "%{buildall}" == "1"
%lang(th) %{_datadir}/locale/th/LC_MESSAGES/*
%endif

%lang(tr) %{_datadir}/locale/tr/LC_MESSAGES/*
%lang(pt_BR) %{_datadir}/locale/pt_BR/LC_MESSAGES/*
%lang(uk) %{_datadir}/locale/uk/LC_MESSAGES/*

%if "%{buildall}" == "1"
%lang(ven) %{_datadir}/locale/ven/LC_MESSAGES/*
%endif

%if "%{buildall}" == "1"
%lang(xh) %{_datadir}/locale/xh/LC_MESSAGES/*
%lang(xh) %doc %{_docdir}/HTML/xh/*
%endif

%lang(zh_TW) %{_datadir}/locale/zh_TW/LC_MESSAGES/*

%if "%{buildall}" == "1"
%lang(zu) %{_datadir}/locale/zu/LC_MESSAGES/*
%endif

%endif

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*

%changelog
* Mon Mar 24 2003 Than Ngo <than@redhat.com> 1.2.1-0.8x.1
- rebuild for RHL 8.x

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 1.2.1-4
- get rid of gcc path from dependency_libs
- add requires kdebase, #84678

* Thu Feb 13 2003 Than Ngo <than@redhat.com> 1.2.1-3
- rebuild against new arts

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 1.2.1-2
- fix #81300
- add a patch file, it fixes a crash when closing the "Insert Special Character" dialog,
  and a crash when updating the Table Of Contents
- cleanup specfile

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Than Ngo <than@redhat.com> 1.2.1-1
- cleanup specfile
- remove a patch file, which is in upstream
- dangling symlinks (bug #78089)
- fPIC issue

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 1.2-2
- fix some build problem

* Mon Oct 14 2002 Than Ngo <than@redhat.com> 1.2-1
- 1.2

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 1.2-0.rc1.3
- Add missing desktop files for servicetype

* Fri Aug  9 2002 Than Ngo <than@redhat.com> 1.2-0.rc1.2
- add desktopfix patch file from Harald Hoyer
- desktop file issues

* Tue Aug  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.2-0.rc1.1
- rc1

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 1.2-0.beta2.3
- build using gcc-3.2-0.1

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 1.2-0.beta2.2
- use desktop-file-install

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.1.1-5
- Change sonames

* Thu Mar 28 2002 Than Ngo <than@redhat.com> 1.1.1-4
- fix conflicts with kdelibs and kde-i18n

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.1.1-3
- Revert to 1.1.1 branch, 1.2/2.0 won't be out in time.

* Wed Jan  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.1.1-2
- Rename kra*** to kopaint

* Fri Dec 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1.1-1
- 1.1.1

* Wed Aug 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-5
- Rebuild with new kdelibs

* Mon Aug 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-4
- Merge koffice-i18n into the package

* Thu Aug 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-3
- Add missing defattr to -devel (#52292)
- Remove dupes from kdeartwork-locolor (Part of #51589)

* Tue Aug 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-2
- Replace koshell icon (#51439)
- Move include files to the correct directory (/usr/include/kde rather than
  /usr/include)
- restore -devel package (it was lost in 1.1-1 for some reason)
- Don't own standard directories

* Tue Aug 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-1
- 1.1 final
- Add icon for koshell (#51439)

* Wed Jul 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-0.cvs20010725.1
- Increase Epoch

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-0.cvs20010724.1
- Don't build kivio on ia64 ATM (compiler bug)

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update 2.1
- fix dangling symlinks

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add ldconfig in %%post and %%postun, replace absolute symlinks
  with relative symlinks (#24878)

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't build on sparc and ia64 (Bug #23809)

* Sun Dec  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0.1

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Mon Oct  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- fix compilation

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- kill dupes from kdelibs

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sun Aug  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update (fixed compilation with gcc 2.96 in CVS)
- work around compiler bugs on alpha

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move to /usr/lib/kde2

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Sun Jul 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't hardcode Qt version
- obsolete killustrator (powertools 6.x)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Mon Jul  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Oct 23 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Initial RPM
